Page MenuHomeFreeBSD

bridgestp: update path cost on media changes
ClosedPublic

Authored by philip on Feb 13 2017, 5:08 PM.

Details

Reviewers
gnn
Summary

Always recalculate spanning tree path costs when the media changes.

Test Plan
  • Unplug / replug a network cable [OR]
  • ifconfig foo media mumble

Diff Detail

Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 7411
Build 7574: arc lint + arc unit

Event Timeline

philip updated this revision to Diff 25094.Feb 13 2017, 5:08 PM
philip retitled this revision from to bridgestp: update path cost on media changes.
philip updated this object.
philip edited the test plan for this revision. (Show Details)
philip added a reviewer: gnn.
gnn accepted this revision.Mar 21 2017, 5:44 AM
This revision is now accepted and ready to land.Mar 21 2017, 5:44 AM
philip closed this revision.Sep 23 2017, 5:16 PM